
# EmailQueue::__construct 

### Usage

>  EmailQueue::__construct(int $id, [ bool $is_pending = true ], [ int $total_sent = '0' ], [ int $opens = '0' ], [ int $clicks = '0' ], [ string $mhash = '' ], [ string $sent_by = '' ], [ string $sender = '' ], [ string $reply_to = '' ], [ ?DateTime $send_date = null ], [ string $adapter = '' ], [ string $subject = '' ], [ string $attach_filename = '' ], [ string $attach_contents = '' ], [ string $text_message = '' ], [ string $html_message = '' ], [ string $condition_vars = '' ], [ ?DateTime $started_at = null ], [ ?DateTime $completed_at = null ])

### Description

> Constructor

### Parameters

Parameter | Required | Type | Description
------------- |------------- |------------- |------------- 
id | Yes | int |
is_pending | No | bool |
total_sent | No | int |
opens | No | int |
clicks | No | int |
mhash | No | string |
sent_by | No | string |
sender | No | string |
reply_to | No | string |
send_date | No | ?DateTime |
adapter | No | string |
subject | No | string |
attach_filename | No | string |
attach_contents | No | string |
text_message | No | string |
html_message | No | string |
condition_vars | No | string |
started_at | No | ?DateTime |
completed_at | No | ?DateTime |

### Return
>  
### See Also

* [__get()](__get)
* [__set()](__set)
* [all()](all)
* [count()](count)
* [delete()](delete)
* [deleteMany()](deletemany)
* [getChildren()](getchildren)
* [insert()](insert)
* [insertFromForm()](insertfromform)
* [insertOrUpdate()](insertorupdate)
* [purge()](purge)
* [save()](save)
* [toArray()](toarray)
* [toDisplayArray()](todisplayarray)
* [toFormattedArray()](toformattedarray)
* [update()](update)
* [where()](where)
* [whereFirst()](wherefirst)
* [whereId()](whereid)


